Get player match history
GET
/api/v1/players/{id}/matches
const url = 'https://internal.myscore.live/api/v1/api/v1/players/plr_federer/matches?page=1&perPage=20&sortBy=createdAt&sortOrder=asc&status=scheduled&type=freeplay';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://internal.myscore.live/api/v1/api/v1/players/plr_federer/matches?page=1&perPage=20&sortBy=createdAt&sortOrder=asc&status=scheduled&type=freeplay'Returns paginated match history for a player, optionally filtered by status.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Example
plr_federerPlayer ID
Query Parameters
Section titled “Query Parameters ” page
number
Example
1Page number (1-based)
perPage
number
Example
20Items per page
sortBy
string
Example
createdAtField to sort by
sortOrder
string
Example
descSort order
status
string
Filter by match status
type
string
Filter by match type
Responses
Section titled “ Responses ”Paginated player match history
Player not found